# Class default

#### Implements

- IpfsNode

- Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/node/impl/helia.ts:101

#####
Index

### Constructors

constructor

### Properties

nodeType

### Accessors

config
isStarted

### Methods

add
cat
connectPeer
getPeers
info
init
ls
pin
start
stat
stop

##
Constructors

### constructor

- new default(): default

- #### Returns default

##
Properties

### `Readonly` nodeType

nodeType: IpfsNodeType = 'helia'

Implementation of IpfsNode.nodeType

- Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/node/impl/helia.ts:102

##
Accessors

### config

- get config(): {
  gatewayUrl: string;
  }

- #### Returns {
  gatewayUrl: string;
  }

  - ##### gatewayUrl: string

  Implementation of IpfsNode.config

  - Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/node/impl/helia.ts:104

### isStarted

- get isStarted(): boolean

- #### Returns boolean

  Implementation of IpfsNode.isStarted

  - Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/node/impl/helia.ts:110

##
Methods

### add

- add(content, options?): Promise<any>

- #### Parameters

  - content: string | File
  - options: AbortOptions = {}

  #### Returns Promise<any>

  Implementation of IpfsNode.add

  - Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/node/impl/helia.ts:204

### cat

- cat(cid, options?): AsyncIterable<Uint8Array, any, any>

- #### Parameters

  - cid: string
  - options: CatOptions = {}

  #### Returns AsyncIterable<Uint8Array, any, any>

  Implementation of IpfsNode.cat

  - Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/node/impl/helia.ts:200

### connectPeer

- connectPeer(address): Promise<boolean>

- #### Parameters

  - address: string

  #### Returns Promise<boolean>

  Implementation of IpfsNode.connectPeer

  - Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/node/impl/helia.ts:257

### getPeers

- getPeers(): Promise<string[]>

- #### Returns Promise<string[]>

  Implementation of IpfsNode.getPeers

  - Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/node/impl/helia.ts:243

### info

- info(): Promise<{
  agentVersion: string;
  id: string;
  repoSize: number;
  }>

- #### Returns Promise<{
  agentVersion: string;
  id: string;
  repoSize: number;
  }>

  Implementation of IpfsNode.info

  - Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/node/impl/helia.ts:275

### init

- init(): Promise<void>

- #### Returns Promise<void>

  Implementation of IpfsNode.init

  - Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/node/impl/helia.ts:118

### ls

- ls(): AsyncIterable<LsResult, any, any>

- #### Returns AsyncIterable<LsResult, any, any>

  Implementation of IpfsNode.ls

  - Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/node/impl/helia.ts:270

### pin

- pin(cid, options?): Promise<any>

- #### Parameters

  - cid: string
  - options: AbortOptions = {}

  #### Returns Promise<any>

  Implementation of IpfsNode.pin

  - Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/node/impl/helia.ts:230

### start

- start(): Promise<void>

- #### Returns Promise<void>

  Implementation of IpfsNode.start

  - Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/node/impl/helia.ts:253

### stat

- stat(cid, options?): Promise<IpfsFileStats>

- #### Parameters

  - cid: string
  - options: AbortOptions = {}

  #### Returns Promise<IpfsFileStats>

  Implementation of IpfsNode.stat

  - Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/node/impl/helia.ts:188

### stop

- stop(): Promise<void>

- #### Returns Promise<void>

  Implementation of IpfsNode.stop

  - Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/node/impl/helia.ts:249